### Method

# Gdk Surfacetranslate_coordinates

#### Declaration [src]

    gboolean
    gdk_surface_translate_coordinates (
      GdkSurface* from,
      GdkSurface* to,
      double* x,
      double* y
    )

#### Description [src]

Translates coordinates between two surfaces.

Note that this only works if `to` and `from` are popups or transient-for to the same toplevel (directly or indirectly).

#### Parameters

`to`

  Type: `GdkSurface`

  The target surface.

  The data is owned by the caller of the method.

`x`

  Type: `double*`

  Coordinates to translate.

  The argument will be modified by the function.

`y`

  Type: `double*`

  Coordinates to translate.

  The argument will be modified by the function.

#### Return value

Type: `gboolean`

`TRUE` if the coordinates were successfully translated.